Subject: RE: DS Byte for Int-Serv (was Re: Classification by DS byte

From: Andrew Smith <[email-masked]>
Date: Fri, 13 Mar 1998 10:36:53 -0800

Just to second Tom's comment: there is nothing "special" about packets
that are part of int-serv flows - they should absolutely *not* use
Router Alert. I suppose there ought to have been an "Applicability
Statement" to go with RFC 2113 to say exactly what Tom said.

And by the way, Werner, if you have a router that admitted some int-serv
flows and cannot then keep up with identifying them in a line rate
packet stream then I think you probably bought the wrong "poor" router.

Andrew

P.S. Please excuse the extra CC: to int-serv but I think it's important
for that audience to see what diff-serv is up to regarding this issue.

***********************************************************************
Andrew Smith                            tel: +1 (408) 863-2821
Extreme Networks                        fax: +1 (408) 342-0990
10460 Bandley Drive                     http://www.extremenetworks.com
Cupertino CA 95014                      em:  [email-masked]
***********************************************************************

> -----Original Message-----
> From:	Tom Lemaire [SMTP:[email-masked]]
> Sent:	Friday, March 13, 1998 7:36 AM
> To:	Brian E Carpenter; Diff Serv
> Subject:	RE: DS Byte for Int-Serv (was Re: Classification by DS
> byte
> 
> I think router alert was designed to redirect packets from the
> forwarding path to the control plane of the router, as
> if the packet had been addressed to the IP address of
> the router.  Examples given are RSVP PATH messages.  
> In many router implementations, the router alert is a signal
> to divert packets from hardware to software for processing.
> Implicit in this is some assumption that router alert packets
> are not a large proportion of the packets being forwarded.
> 
> The application here is to redirect packets requiring
> multi-field classification from the default forwarding path to another
> forwarding path that implements MF lookup.  There could be quite
> a few of these packets.  This MF path is hopefully still implemented
> in hardware.  
> 
> So I think this is not the problem rfc2113 was designed to solve,
> so reserving a code point in the DS byte to request MF classification
> still seems worthy of discussion.
> 
> 
> > -----Original Message-----
> > From:	Brian E Carpenter [SMTP:[email-masked]]
> > Sent:	Friday, March 13, 1998 8:44 AM
> > To:	Diff Serv
> > Subject:	Re: DS Byte for Int-Serv (was Re: Classification by DS
> > byte
> > 
> > Because Router Alert is a Proposed Standard and it explicitly
> > say it is useful for alerting routers to packets that need
> > special handling. And I see people suggesting a DS byte code
> > point that says "hey, this packet needs special handling" (IntServ,
> > as it happens). A generic goal in the IETF is to avoid solving 
> > the same problem twice. So I see "interaction with router alert" 
> > as an entry in the issues list.
> > 
> >   Brian
> > 
> > Paul Ferguson wrote:
> > > 
> > > At 01:17 PM 3/13/98 +0000, Brian E Carpenter wrote:
> > > 
> > > >
> > > >Yes, but if the router alert option is present does it become
> > > >a candidate for IntServ handling?
> > > >
> > > >What if the TOS/DS byte is non-zero and router alert is present?
> > > >
> > > 
> > > No idea. Is the use of the router alert option a done deal?
> > > I still don't understand how this worked it's way into the
> > > thread.  :-)
> > > 
> > > - paul